@import url("https://cdn.materialdesignicons.com/5.0.45/css/materialdesignicons.min.css");

/* Scroll */
*::selection {
  background: #2980b9;
  color: #ffffff;
}
html *::-moz-selection {
  background: #2980b9;
  color: #ffffff;
}
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background: #bdc3c7;
}
::-webkit-scrollbar-thumb {
  background: #656d78;
}
::-webkit-scrollbar-thumb:hover {
  background: #3498db;
}



body {
  /*background: #f5f7fa !important;*/
}


/* clear */
.btn-group-vertical > .btn-group:after,
.btn-group-vertical > .btn-group:before,
.btn-toolbar:after,
.btn-toolbar:before,
.clearfix:after,
.clearfix:before,
.container-fluid:after,
.container-fluid:before,
.container:after,
.container:before,
.dl-horizontal dd:after,
.dl-horizontal dd:before,
.form-horizontal .form-group:after,
.form-horizontal .form-group:before,
.modal-footer:after,
.modal-footer:before,
.modal-header:after,
.modal-header:before,
.nav:after,
.nav:before,
.navbar-collapse:after,
.navbar-collapse:before,
.navbar-header:after,
.navbar-header:before,
.navbar:after,
.navbar:before,
.pager:after,
.pager:before,
.panel-body:after,
.panel-body:before,
.row:after,
.row:before {
  display: block;
  content: "";
}

.K2BToolsTable_TopAttributeContainer {
  margin-bottom: 15px;
}

.K2BToolsTable_TopAttributeContainer > .form-group.gx-form-group {
  margin-bottom: 0;
}

.K2BToolsTable_TopAttributeContainer
  > .form-group.gx-form-group
  > label.control-label.gx-label {
  display: block;
  max-width: 100%;
  margin-bottom: 5px;
  font-weight: 700;
  text-align: left;
  font-size: 14px;
  color: #333;
}
.K2BToolsTable_TopAttributeContainer
  > .form-group.gx-form-group
  > .gx-attribute
  > input[type="text"].form-control.Attribute_Trn {
  display: block;
  width: 100%;
  height: auto;
  padding: 5px 10px;
  font-size: 13px;
  font-weight: 400;
  line-height: 20px;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 3px;
  margin: 0;
}

.K2BToolsTable_TopAttributeContainer
  > .form-group.gx-form-group
  > .gx-attribute
  > select.form-control.Attribute_Trn {
  display: block;
  width: 100%;
  height: auto;
  padding: 5px 10px !important;
  font-size: 13px;
  font-weight: 400;
  line-height: 20px;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 3px;
  margin: 0;
}

.K2BToolsTable_TopAttributeContainer
  > .form-group.gx-form-group
  > .gx-attribute
  > .form-control-static {
  display: block;
  width: 100%;
  height: auto;
  padding: 5px 10px;
  font-size: 13px;
  font-weight: 400;
  line-height: 20px;
  color: #495057;
  background-color: #e9ecef;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 3px;
  margin: 0;
  min-height: 32px;
}

.K2BToolsTable_TopAttributeContainer
  > .form-group.gx-form-group
  > .gx-attribute
  > .form-control-static
  > span.ReadonlyAttribute_Trn {
  margin: 0;
  padding: 0;
}

.K2BToolsTable_TopAttributeContainer
  > .form-group.gx-form-group
  > .gx-attribute
  > textarea.form-control.Attribute_Trn {
  display: block;
  width: 100%;
  height: auto;
  padding: 5px 10px;
  font-size: 13px;
  font-weight: 400;
  line-height: 20px;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 3px;
}

/* Search */
.K2BToolsTable_BeforeGridContainer input[type="text"].K2BTools_SearchCriteria {
  padding-right: 40px;
}

/* Modal */
table.Table_ConditionalConfirm {
  z-index: 0;
}

table.Table_ConditionalConfirm .K2BToolsTable_ModalWindow {
  box-shadow: none;
  border-radius: 6px;
  border: 0;
  overflow: hidden;
}

/* Panel */
.K2BToolsTable_ComponentContainer,
.K2BToolsTable_CollapsedComponentContainer,
.K2BToolsTable_ComponentWithoutTitleContainer {
  box-shadow: 0 0.7px 14px rgba(0, 0, 0, 0.15) !important;
  margin-bottom: 20px;
  border: 0;
  border-radius: 4px;
  background: #fff;
}

#COMPONENTS_COMPONENTS_TABSSECTION > .gxwebcomponent {
}
#COMPONENTS_COMPONENTS_TABSSECTION > .gxwebcomponent > .gxwebcomponent-body {
}
#COMPONENTS_COMPONENTS_TABSSECTION
  > .gxwebcomponent
  > .gxwebcomponent-body
  > .K2BToolsSection_TabContainer {
  margin: 0;
}

#COMPONENTS_COMPONENTS_TABSSECTION
  > .gxwebcomponent
  > .K2BToolsTable_ComponentWithoutTitleContainer {
  border-radius: 0px;
  border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
}

#MAINTABLE {
}

/* Botonera */
.K2BT_CollapsibleMenuContainer,
.K2BT_CollapsibleMenuContainerVisible {
  /*border: 0;*/
}

/*
.K2BToolsTable_SubWorkWithContentTable .K2BToolsTable_BeforeGridContainer {
  padding: 10px 0;
}
*/

#BACKTOWORKWITHCONTAINER {
  /*background: #e6e9ed;*/
  margin-bottom: 20px;
}

#K2BTABLEPLAINATTRIBUTES0 {
  background: #fff;
}

.K2BToolsFSGAM_LoginTable {
  box-shadow: 0 0.7px 14px rgba(0, 0, 0, 0.15) !important;
  margin-bottom: 20px;
  border: 0;
  border-radius: 4px;
  background: #fff;
}


/*
---------------------------------------------

fixes jp

---------------------------------------------
*/
/*empieza login*/
.K2BFormLogin {
  display: flex;
  height:100vh;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  align-items: center;
}

.Section.gx-center-target {
  padding-bottom: 0px!important;
}

.K2BFormLogin #gx-column-targets {
  height: unset!important;
}
/*fin login*/
/*forms de adentro generales*/
@media(min-width:992px){
  .K2BToolsTable_WorkWithContentTable,
  .K2BToolsTable_SubWorkWithContentTable {
    margin: 20px;
    box-shadow: 0 0.7px 14px rgba(0, 0, 0, 0.15) !important;
    margin-bottom: 20px;
    border: 0;
    border-radius: 4px;
    background: #fff;
  }
}
/*margenes*/
#TABLE2 .Form-fx .Section .K2BToolsTable_SubWorkWithContentTable {
  margin:0px
}


div#W0013MAINTABLE table th:nth-child(2){
width: 100px!important;
text-align:center!important
}
.K2BToolsGridColumn:nth-child(2)  p.form-control-static {
  text-align: center;
}

tr.Grid_WorkWithOdd, 
tr.Grid_WorkWithEven,
.Grid_WorkWith>[data-gxrow] 
{
  border-bottom: 1px solid #ececec!important;
}

.Grid_WorkWithTitle {
  color: #f5f5f5;
  background-color: lightslategrey!important;
}

.Grid_WorkWithTitle span{
  color:#ffff;
  font-size:14px!important;
  letter-spacing:1px

}

.Grid_WorkWithHover, .Grid_WorkWith>TBODY>TR[data-gxrow]:hover, .Grid_WorkWith>TBODY>TR[data-gxrow].gx-row-hovered, .Grid_WorkWithSingle>TBODY>TR[data-gxrow]:hover, .Grid_WorkWithSingle>TBODY>TR[data-gxrow].gx-row-hovered {
  background-color: #e8e8e8;
}
.Grid_WorkWith tr:hover a,.Grid_WorkWith tr:hover .ReadonlyAttribute_Grid {
  color: #1c1c1c!important;
}
/*forms de adentro generales*/
/*popup*/
.PopupTitle {
  color: #1c1c1c;
  letter-spacing: 2px;
  font-size: 18px;
}

.PopupHeader {
  min-height: 45px;
  height: auto!important;
}

.PopupBorder {
  border-radius: 20px 20px 5px 5px;
  overflow: hidden;
}
/*sidebar*/

.sidebar-nav-item-icon {
  color: #1e88e5!important;
  font-size: 18px;
}

.mm-show li.mm-active a[aria-expanded="true"]{
  background: #1e88e5!important;
}
.mm-show li.mm-active a{
   background: #778899!important;
}
.mm-show li.mm-active a span {
  color: #fff!important; 
}

li.activeelement.mm-active a[aria-expanded="true"], UL.K2BMetisMenu LI.activeelement>A{
  background: #5d6977!important;
}
li.activeelement.mm-active a[aria-expanded="true"] span{
  font-size:14px;
  letter-spacing:1px
}

/**/
.K2BToolsTable_GridConfigurationContainer {
  position: relative;
  height: auto!important;
  margin: 5px 0 0 auto;
  right: unset!important;
  top: unset!important;
}
.K2BT_StructuredListActionsContainer {
  top: unset!important;
}
span#COMPONENTSUBTITLE_GENERAL {
  width: 100%!important;
}

/**/
.form-horizontal .Calendar {
  z-index: 99900!important;
}

DIV.calendar table {
  background: #fafafa;
  box-shadow:0 1px 3px 

}

DIV.calendar TABLE:before,DIV.calendar TABLE:after {
  display: none!important;
}